Subject: Re: bug#4562: 23.1; Customize State button problems

From: Chong Yidong <[email-masked]>
Date: Wed, 13 Jul 2011 11:59:03 -0400

Lars Magne Ingebrigtsen <[email-masked]> writes:

> So should we just change `default-frame-alist' to a `defvar'?
>
> I can't even find the custom definition of this variable.

The custom definition is in cus-start.el; that's where we put custom
definitions for built-in variables.

But the original bug no longer exists:

> 1. M-x customize-option default-frame-alist
>
> The State text says "CHANGED outside Customize; operating on it here
> may be unreliable.", which is untrue. This is immediately after using
> `emacs -Q'.

Several moons ago, I changed the frame code so that default-frame-alist
interacts properly with customize.  In particular, the default value is
now nil.  So this is a zombie bug; I'm closing it.